PX_UPDATE_RECORD(3)

NAME
PX_update_record — Updates an exiting record in the Paradox file

SYNOPSIS

#include <paradox.h>

int PX_update_record(pxdoc_t *pxdoc, pxval_t **data, int recpos)

DESCRIPTION

Overwrites a record in the database with the data in the array dataptr. The record must be specified by its record number passed as parameter recpos. The first record has number 0.

The memory for dataptr can be freed after PX_update_record has been called.

Check the documentation of PX_insert_record(3)       for more information on how to build up the record data

RETURN VALUE

Returns 0 on success or -1 on failure.

SEE ALSO

PX_retrieve_record(3), PX_delete_record(3), PX_insert_record(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.